#include "testlib.h"
#include <iostream>
#include <vector>
#include <algorithm>
#include <queue>
 
constexpr int MAX_N = 1'000'000;
constexpr int MAX_A = (int)1e9;
 
int main(int argc,char* argv[]){
	registerValidation(argc,argv);
 
	int a = inf.readInt(0,100,"a");
	inf.readSpace();
	int b = inf.readInt(0,100,"b");
	inf.readSpace();
	int c = inf.readInt(0,std::min(a,b),"c");
	inf.readEoln();
	inf.readEof();
 
	return 0;
}
